
<template>
    <div class="getQRCode">
        <x-header class="message-head" title="内容详情" :left-options="{backText:''}"></x-header>
        <div class="overdue-body" v-html="bannerContent">
            <!-- {{ bannerContent }} -->
        </div>
    </div>
</template>
<script>
import { XHeader } from 'vux';
    export default {
        name: 'bannerContent',
        components: {
             XHeader,
        },
        data() {
            return {
                bannerId: this.$route.query.bannerId,
                bannerContent: '',
            }
        },
        created() {
            this. bannerContentInit();
        },
        methods: {
            bannerContentInit() {
                this.$api.indexDetail({id: this.bannerId}).then(res => {
                    // this.bannerContent = res.body.bannerInfoVos.filter(item => {
                    //     if(item.id == this.bannerId) {
                    //         return item.bannerContent;
                    //     }
                    // })
                    this.bannerContent = res.body.bannerContent
                })
                
            }
        }
    }
</script>
<style lang="less" scoped>
.getQRCode{
    background: #F5F5F7;
    width: 100%;
    height: 100%;
}
.message-head{
    position: relative;
}
.overdue-body{
    width: 96%;
    margin: 0 2%;
    padding-top: 15px;
    padding-bottom: 50px;
    word-wrap: break-word;
}
</style>
